| CE Gobi SDK 2.7 GobiApi

- Main Page
- Modules
- Classes
- Files

Functions
Wireless Data Service

## Functions
IMPORTGOBI ULONG GOBICMAPI | SetClientIPFamilyPreference (ULONG prefIPFamily)
IMPORTGOBI ULONG GOBICMAPI | SetDormancyStatusCallback (tFNDormancyStatus pCallback)
IMPORTGOBI ULONG GOBICMAPI | SetByteTotalsCallback (tFNByteTotals pCallback, BYTE interval)
IMPORTGOBI ULONG GOBICMAPI | SetSessionStateCallback (tFNSessionState pCallback)
IMPORTGOBI ULONG GOBICMAPI | SetMobileIPStatusCallback (tFNMobileIPStatus pCallback)
IMPORTGOBI ULONG GOBICMAPI | SetDataBearerCallback (tFNDataBearer pCallback)
IMPORTGOBI ULONG GOBICMAPI | GetDataBearerTechnology (ULONG *pDataBearer)
IMPORTGOBI ULONG GOBICMAPI | GetSessionState (ULONG *pState)
IMPORTGOBI ULONG GOBICMAPI | GetSessionDuration (ULONGLONG *pDuration)
IMPORTGOBI ULONG GOBICMAPI | GetDormancyState (ULONG *pState)
IMPORTGOBI ULONG GOBICMAPI | GetAutoconnect (ULONG *pSetting)
IMPORTGOBI ULONG GOBICMAPI | SetAutoconnect (ULONG setting)
IMPORTGOBI ULONG GOBICMAPI | GetEnhancedAutoconnect (ULONG *pSetting, ULONG *pRoamSetting)
IMPORTGOBI ULONG GOBICMAPI | SetEnhancedAutoconnect (ULONG setting, ULONG *pRoamSetting)
IMPORTGOBI ULONG GOBICMAPI | SetDefaultProfile (ULONG profileType, ULONG *pPDPType, ULONG *pIPAddress, ULONG *pPrimaryDNS, ULONG *pSecondaryDNS, ULONG *pAuthentication, CHAR *pName, CHAR *pAPNName, CHAR *pUsername, CHAR *pPassword)
IMPORTGOBI ULONG GOBICMAPI | GetDefaultProfile (ULONG profileType, ULONG *pPDPType, ULONG *pIPAddress, ULONG *pPrimaryDNS, ULONG *pSecondaryDNS, ULONG *pAuthentication, BYTE nameSize, CHAR *pName, BYTE apnSize, CHAR *pAPNName, BYTE userSize, CHAR *pUsername)
IMPORTGOBI ULONG GOBICMAPI | SetDefaultIPv6Profile (ULONG profileType, USHORT *pIPAddress, USHORT *pPrimaryDNS, USHORT *pSecondaryDNS)
IMPORTGOBI ULONG GOBICMAPI | GetDefaultIPv6Profile (ULONG profileType, USHORT *pIPAddress, USHORT *pPrimaryDNS, USHORT *pSecondaryDNS)
IMPORTGOBI ULONG GOBICMAPI | StartDataSession2 (ULONG *pTechnology, ULONG *pPrimaryDNS, ULONG *pSecondaryDNS, ULONG *pPrimaryNBNS, ULONG *pSecondaryNBNS, CHAR *pAPNName, ULONG *pIPAddress, ULONG *pAuthentication, CHAR *pUsername, CHAR *pPassword, ULONG *pSessionId, ULONG *pFailureReason)
IMPORTGOBI ULONG GOBICMAPI | StartDataSession (ULONG *pTechnology, ULONG *pPrimaryDNS, ULONG *pSecondaryDNS, ULONG *pPrimaryNBNS, ULONG *pSecondaryNBNS, CHAR *pAPNName, ULONG *pIPAddress, ULONG *pAuthentication, CHAR *pUsername, CHAR *pPassword, ULONG *pSessionId)
IMPORTGOBI ULONG GOBICMAPI | CancelDataSession ()
IMPORTGOBI ULONG GOBICMAPI | StopDataSession (ULONG sessionId)
IMPORTGOBI ULONG GOBICMAPI | GetIPAddress (ULONG *pIPAddress)
IMPORTGOBI ULONG GOBICMAPI | GetConnectionRate (ULONG *pCurrentChannelTXRate, ULONG *pCurrentChannelRXRate, ULONG *pMaxChannelTXRate, ULONG *pMaxChannelRXRate)
IMPORTGOBI ULONG GOBICMAPI | GetPacketStatus (ULONG *pTXPacketSuccesses, ULONG *pRXPacketSuccesses, ULONG *pTXPacketErrors, ULONG *pRXPacketErrors, ULONG *pTXPacketOverflows, ULONG *pRXPacketOverflows)
IMPORTGOBI ULONG GOBICMAPI | GetByteTotals (ULONGLONG *pTXTotalBytes, ULONGLONG *pRXTotalBytes)
IMPORTGOBI ULONG GOBICMAPI | SetMobileIP (ULONG mode)
IMPORTGOBI ULONG GOBICMAPI | GetMobileIP (ULONG *pMode)
IMPORTGOBI ULONG GOBICMAPI | SetActiveMobileIPProfile (CHAR *pSPC, BYTE index)
IMPORTGOBI ULONG GOBICMAPI | GetActiveMobileIPProfile (BYTE *pIndex)
IMPORTGOBI ULONG GOBICMAPI | SetMobileIPProfile (CHAR *pSPC, BYTE index, BYTE *pEnabled, ULONG *pAddress, ULONG *pPrimaryHA, ULONG *pSecondaryHA, BYTE *pRevTunneling, CHAR *pNAI, ULONG *pHASPI, ULONG *pAAASPI, CHAR *pMNHA, CHAR *pMNAAA)
IMPORTGOBI ULONG GOBICMAPI | GetMobileIPProfile2 (BYTE index, BYTE *pEnabled, ULONG *pAddress, ULONG *pPrimaryHA, ULONG *pSecondaryHA, BYTE *pRevTunneling, BYTE naiSize, CHAR *pNAI, ULONG *pHASPI, ULONG *pAAASPI, ULONG *pHAState, ULONG *pAAAState)
IMPORTGOBI ULONG GOBICMAPI | GetMobileIPProfile (BYTE index, BYTE *pEnabled, ULONG *pAddress, ULONG *pPrimaryHA, ULONG *pSecondaryHA, BYTE *pRevTunneling, BYTE naiSize, CHAR *pNAI, ULONG *pHASPI, ULONG *pAAASPI)
IMPORTGOBI ULONG GOBICMAPI | SetMobileIPParameters (CHAR *pSPC, ULONG *pMode, BYTE *pRetryLimit, BYTE *pRetryInterval, BYTE *pReRegPeriod, BYTE *pReRegTraffic, BYTE *pHAAuthenticator, BYTE *pHA2002bis)
IMPORTGOBI ULONG GOBICMAPI | GetMobileIPParameters (ULONG *pMode, BYTE *pRetryLimit, BYTE *pRetryInterval, BYTE *pReRegPeriod, BYTE *pReRegTraffic, BYTE *pHAAuthenticator, BYTE *pHA2002bis)
IMPORTGOBI ULONG GOBICMAPI | GetLastMobileIPError (ULONG *pError)
IMPORTGOBI ULONG GOBICMAPI | SetDNSSettings (ULONG *pPrimaryDNS, ULONG *pSecondaryDNS)
IMPORTGOBI ULONG GOBICMAPI | GetDNSSettings (ULONG *pPrimaryDNS, ULONG *pSecondaryDNS)
IMPORTGOBI ULONG GOBICMAPI | SetDNSIPv6Settings (USHORT *pPrimaryDNS, USHORT *pSecondaryDNS)
IMPORTGOBI ULONG GOBICMAPI | GetDNSIPv6Settings (USHORT *pPrimaryDNS, USHORT *pSecondaryDNS)
QCIMPORT2K ULONG QCWWANAPI2K | SetPacketTotalsCallback (tFNPacketTotals pCallback, BYTE interval)

## Detailed Description

## Function Documentation

IMPORTGOBI ULONG GOBICMAPI CancelDataSession | ( |  | ) |

This function cancels an in-progress packet data session activation QMI_WDS_ABORT_MSG = 0x0002

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetActiveMobileIPProfile | ( | BYTE * | pIndex | ) |

This function gets the the active mobile IP profile index

Parameters

  pIndex | [ O ] - Active mobile IP profile index

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetAutoconnect | ( | ULONG * | pSetting | ) |

GetAutoconnect (Deprecated) This function returns the current autoconnect data session setting QMI_WDS_GET_AUTOCONNECT_SETTING_MSG = 0x0034

Parameters

  pSetting | [ O ] - NDIS autoconnect setting

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetByteTotals | ( | ULONGLONG * | pTXTotalBytes,
|  | ULONGLONG * | pRXTotalBytes
| ) |  |

This function returns the RX/TX byte counts since the start of the current packet data session

Parameters

  pTXTotalBytes | [ O ] - Bytes transmitted without error
  pRXTotalBytes | [ O ] - Bytes received without error

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetConnectionRate | ( | ULONG * | pCurrentChannelTXRate,
|  | ULONG * | pCurrentChannelRXRate,
|  | ULONG * | pMaxChannelTXRate,
|  | ULONG * | pMaxChannelRXRate
| ) |  |

This function returns connection rate information for the packet data connection QMI_WDS_GET_CURRENT_CHANNEL_RATE_MSG = 0x0023

Parameters

  pCurrentChannelTXRate | [ O ] - Current channel TX rate (bps)
  pCurrentChannelRXRate | [ O ] - Current channel RX rate (bps)
  pMaxChannelTXRate | [ O ] - Maximum channel TX rate (bps)
  pMaxChannelRXRate | [ O ] - Maximum channel RX rate (bps)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetDataBearerTechnology | ( | ULONG * | pDataBearer | ) |

This function retrieves the current data bearer technology (only valid when connected) QMI_WDS_GET_DATA_BEARER_TECHNOLOGY_MSG = 0x0037

Parameters

  pDataBearer | [ O ] - The data bearer technology

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetDefaultIPv6Profile | ( | ULONG | profileType,
|  | USHORT * | pIPAddress,
|  | USHORT * | pPrimaryDNS,
|  | USHORT * | pSecondaryDNS
| ) |  |

This function reads the default profile IPv6 settings from the device, the default profile is used during autoconnect QMI_WDS_GET_DEFAULT_SETTINGS_MSG = 0x002C

Parameters

  profileType | [ I ] - Profile type being read
  pIPAddress | [ O ] - Preferred assigned IPv6 address
  pPrimaryDNS | [ O ] - Primary DNS IPv6 address
  pSecondaryDNS | [ O ] - Secondary DNS IPv6 address

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetDefaultProfile | ( | ULONG | profileType,
|  | ULONG * | pPDPType,
|  | ULONG * | pIPAddress,
|  | ULONG * | pPrimaryDNS,
|  | ULONG * | pSecondaryDNS,
|  | ULONG * | pAuthentication,
|  | BYTE | nameSize,
|  | CHAR * | pName,
|  | BYTE | apnSize,
|  | CHAR * | pAPNName,
|  | BYTE | userSize,
|  | CHAR * | pUsername
| ) |  |

This function reads the default profile settings from the device, the default profile is used during autoconnect QMI_WDS_GET_DEFAULT_SETTINGS_MSG = 0x002C

Parameters

  profileType | [ I ] - Profile type being read
  pPDPType | [ O ] - PDP type
  pIPAddress | [ O ] - Preferred assigned IPv4 address
  pPrimaryDNS | [ O ] - Primary DNS IPv4 address
  pSecondaryDNS | [ O ] - Secondary DNS IPv4 address
  pAuthentication | [ O ] - Authentication algorithm bitmap
  nameSize | [ I ] - The maximum number of characters (including NULL terminator) that the profile name array can contain
  pName | [ O ] - The profile name or description
  apnSize | [ I ] - The maximum number of characters (including NULL terminator) that the APN name array can contain
  pAPNName | [ O ] - Access point name represented as a NULL terminated string (empty string returned when unknown)
  userSize | [ I ] - The maximum number of characters (including NULL terminator) that the username array can contain
  pUsername | [ O ] - Username used during authentication

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetDNSIPv6Settings | ( | USHORT * | pPrimaryDNS,
|  | USHORT * | pSecondaryDNS
| ) |  |

This function gets the DNS IPv6 settings for the device QMI_WDS_GET_DNS_SETTINGS_MSG = 0x0052

Parameters

  pPrimaryDNS | [ O ] - Primary DNS IPv6 address
  pSecondaryDNS | [ O ] - Secondary DNS IPv6 address

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetDNSSettings | ( | ULONG * | pPrimaryDNS,
|  | ULONG * | pSecondaryDNS
| ) |  |

This function gets the DNS settings for the device QMI_WDS_GET_DNS_SETTINGS_MSG = 0x0052

Parameters

  pPrimaryDNS | [ O ] - Primary DNS IPv4 address
  pSecondaryDNS | [ O ] - Secondary DNS IPv4 address

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetDormancyState | ( | ULONG * | pState | ) |

This function returns the dormancy state of the current packet data session (when connected) QMI_WDS_GET_DORMANCY_STATUS_MSG = 0x0030

Parameters

  pState | [ O ] - Dormancy state of the current packet session

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetEnhancedAutoconnect | ( | ULONG * | pSetting,
|  | ULONG * | pRoamSetting
| ) |  |

This function returns the current autoconnect data session setting QMI_WDS_GET_AUTOCONNECT_SETTING_MSG = 0x0034

Parameters

  pSetting | [ O ] - NDIS autoconnect setting
  pRoamSetting | [ O ] - NDIS autoconnect roam setting

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetIPAddress | ( | ULONG * | pIPAddress | ) |

This function returns the current packet data session IP address QMI_WDS_GET_RUNTIME_SETTINGS_MSG = 0x002D

Parameters

  pIPAddress | [ O ] - Assigned IPv4 address

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetLastMobileIPError | ( | ULONG * | pError | ) |

This function gets the last mobile IP error QMI_WDS_GET_LAST_MIP_STATUS_MSG = 0x0042

Parameters

  pError | [ O ] - Last mobile IP error

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetMobileIP | ( | ULONG * | pMode | ) |

This function gets the current mobile IP setting QMI_WDS_GET_MIP_MODE_MSG = 0x002F

Parameters

  pMode | [ O ] - Current mobile IP setting

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetMobileIPParameters | ( | ULONG * | pMode,
|  | BYTE * | pRetryLimit,
|  | BYTE * | pRetryInterval,
|  | BYTE * | pReRegPeriod,
|  | BYTE * | pReRegTraffic,
|  | BYTE * | pHAAuthenticator,
|  | BYTE * | pHA2002bis
| ) |  |

This function gets the mobile IP parameters QMI_WDS_GET_MIP_SETTINGS_MSG = 0x0040

Parameters

  pMode | [ O ] - Current mobile IP setting
  pRetryLimit | [ O ] - Retry attempt limit
  pRetryInterval | [ O ] - Retry attempt interval
  pReRegPeriod | [ O ] - Re-registration period
  pReRegTraffic | [ O ] - Re-registration only with traffic?
  pHAAuthenticator | [ O ] - MH-HA authenticator calculator?
  pHA2002bis | [ O ] - MH-HA RFC 2002bis authentication?

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetMobileIPProfile | ( | BYTE | index,
|  | BYTE * | pEnabled,
|  | ULONG * | pAddress,
|  | ULONG * | pPrimaryHA,
|  | ULONG * | pSecondaryHA,
|  | BYTE * | pRevTunneling,
|  | BYTE | naiSize,
|  | CHAR * | pNAI,
|  | ULONG * | pHASPI,
|  | ULONG * | pAAASPI
| ) |  |

This function gets the specified mobile IP profile settings QMI_WDS_READ_MIP_PROFILE_MSG = 0x003E

Parameters

  index | [ I ] - Mobile IP profile ID
  pEnabled | [ O ] - Mobile IP profile enabled?
  pAddress | [ O ] - Home IPv4 address
  pPrimaryHA | [ O ] - Primary home agent IPv4 address
  pSecondaryHA | [ O ] - Secondary home agent IPv4 address
  pRevTunneling | [ O ] - Reverse tunneling enabled?
  naiSize | [ I ] - The maximum number of characters (including NULL terminator) that the NAI array can contain
  pNAI | [ O ] - Network access identifier string
  pHASPI | [ O ] - HA security parameter index
  pAAASPI | [ O ] - AAA security parameter index

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetMobileIPProfile2 | ( | BYTE | index,
|  | BYTE * | pEnabled,
|  | ULONG * | pAddress,
|  | ULONG * | pPrimaryHA,
|  | ULONG * | pSecondaryHA,
|  | BYTE * | pRevTunneling,
|  | BYTE | naiSize,
|  | CHAR * | pNAI,
|  | ULONG * | pHASPI,
|  | ULONG * | pAAASPI,
|  | ULONG * | pHAState,
|  | ULONG * | pAAAState
| ) |  |

This function gets the specified mobile IP profile settings QMI_WDS_READ_MIP_PROFILE_MSG = 0x003E

Parameters

  index | [ I ] - Mobile IP profile ID
  pEnabled | [ O ] - Mobile IP profile enabled?
  pAddress | [ O ] - Home IPv4 address
  pPrimaryHA | [ O ] - Primary home agent IPv4 address
  pSecondaryHA | [ O ] - Secondary home agent IPv4 address
  pRevTunneling | [ O ] - Reverse tunneling enabled?
  naiSize | [ I ] - The maximum number of characters (including NULL terminator) that the NAI array can contain
  pNAI | [ O ] - Network access identifier string
  pHASPI | [ O ] - HA security parameter index
  pAAASPI | [ O ] - AAA security parameter index
  pHAState | [ O ] - HA key state
  pAAAState | [ O ] - AAA key state

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetPacketStatus | ( | ULONG * | pTXPacketSuccesses,
|  | ULONG * | pRXPacketSuccesses,
|  | ULONG * | pTXPacketErrors,
|  | ULONG * | pRXPacketErrors,
|  | ULONG * | pTXPacketOverflows,
|  | ULONG * | pRXPacketOverflows
| ) |  |

This function returns the packet data transfer statistics since the start of the current packet data session QMI_WDS_GET_PKT_STATISTICS_MSG = 0x0024

Parameters

  pTXPacketSuccesses | [ O ] - Packets transmitted without error
  pRXPacketSuccesses | [ O ] - Packets received without error
  pTXPacketErrors | [ O ] - Outgoing packets with framing errors
  pRXPacketErrors | [ O ] - Incoming packets with framing errors
  pTXPacketOverflows | [ O ] - Packets dropped because TX buffer overflowed
  pRXPacketOverflows | [ O ] - Packets dropped because RX buffer overflowed

IMPORTGOBI ULONG GOBICMAPI GetSessionDuration | ( | ULONGLONG * | pDuration | ) |

This function returns the duration of the current packet data session QMI_WDS_GET_CALL_DURATION_MSG = 0x0035

Parameters

  pDuration | [ O ] - Duration of the current packet session

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetSessionState | ( | ULONG * | pState | ) |

This function returns the state of the current packet data session QMI_WDS_GET_PKT_SRVC_STATUS_MSG = 0x0022

Parameters

  pState | [ O ] - State of the current packet session

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetActiveMobileIPProfile | ( | CHAR * | pSPC,
|  | BYTE | index
| ) |  |

This function sets the active mobile IP profile index QMI_WDS_SET_ACTIVE_PROFILE_MSG = 0x003D

Parameters

  pSPC | [ I ] - Six digit service programming code
  index | [ I ] - Desired mobile IP profile index

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetAutoconnect | ( | ULONG | setting | ) |

SetAutoconnect (Deprecated) This function sets the autoconnect data session setting QMI_WDS_START_NETWORK_INTERFACE_MSG = 0x0020

Parameters

  setting | [ I ] - NDIS autoconnect disabled (0) or enabled (non-zero)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetByteTotalsCallback | ( | tFNByteTotals | pCallback,
|  | BYTE | interval
| ) |  |

This function enables/disables the RX/TX byte counts callback function QMI_WDS_SET_EVENT_REPORT_REQ 0x0001 TLV 0x11 QMI_WDS_SET_EVENT_REPORT_IND 0x0001 TLV 0x10, 0x11

Parameters

  pCallback | [ I ] - Callback function (0 = disable)
  interval | [ I ] - Interval in seconds (ignored when disabling)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetClientIPFamilyPreference | ( | ULONG | prefIPFamily | ) |

This function sets the CM API client IP preference, it translates to QMI WDS message QMI_WDS_SET_CLIENT_IP_FAMILY_PREF_MSG 0x004D

Parameters

  prefIPFamily | [ I ] - IP address family preference

Returns
  See GobiErrorCodes.h

This function sets the CM API client IP preference QMI_WDS_SET_CLIENT_IP_FAMILY_PREF_MSG = 0x004D

Parameters

  prefIPFamily | [ I ] - IP address family preference

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetDataBearerCallback | ( | tFNDataBearer | pCallback | ) |

This function enables/disables the data bearer status callback function with QMI_WDS_SET_EVENT_REPORT_REQ 0x0001 TLV 0x12 QMI_WDS_SET_EVENT_REPORT_IND 0x0001 TLV 0x17

Parameters

  pCallback | [ I ] - Callback function (0 = disable)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetDefaultIPv6Profile | ( | ULONG | profileType,
|  | USHORT * | pIPAddress,
|  | USHORT * | pPrimaryDNS,
|  | USHORT * | pSecondaryDNS
| ) |  |

This function writes the default profile IPv6 settings to the device, the default profile is used during autoconnect QMI_WDS_MODIFY_PROFILE_SETTINGS_MSG = 0x0028

Parameters

  profileType | [ I ] - Profile type being written
  pIPAddress | [ I ] - (Optional) Preferred assigned IPv6 address
  pPrimaryDNS | [ I ] - (Optional) Primary DNS IPv6 address
  pSecondaryDNS | [ I ] - (Optional) Secondary DNS IPv6 address

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetDefaultProfile | ( | ULONG | profileType,
|  | ULONG * | pPDPType,
|  | ULONG * | pIPAddress,
|  | ULONG * | pPrimaryDNS,
|  | ULONG * | pSecondaryDNS,
|  | ULONG * | pAuthentication,
|  | CHAR * | pName,
|  | CHAR * | pAPNName,
|  | CHAR * | pUsername,
|  | CHAR * | pPassword
| ) |  |

This function writes the default profile settings to the device, the default profile is used during autoconnect QMI_WDS_MODIFY_PROFILE_SETTINGS_MSG = 0x0028

Parameters

  profileType | [ I ] - Profile type being written
  pPDPType | [ I ] - (Optional) PDP type
  pIPAddress | [ I ] - (Optional) Preferred assigned IPv4 address
  pPrimaryDNS | [ I ] - (Optional) Primary DNS IPv4 address
  pSecondaryDNS | [ I ] - (Optional) Secondary DNS IPv4 address
  pAuthentication | [ I ] - (Optional) Authentication algorithm bitmap
  pName | [ I ] - (Optional) The profile name or description
  pAPNName | [ I ] - (Optional) Access point name
  pUsername | [ I ] - (Optional) Username used during authentication
  pPassword | [ I ] - (Optional) Password used during authentication

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetDNSIPv6Settings | ( | USHORT * | pPrimaryDNS,
|  | USHORT * | pSecondaryDNS
| ) |  |

This function sets the DNS IPv6 settings for the device QMI_WDS_SET_DNS_SETTINGS_MSG = 0x0053

Parameters

  pPrimaryDNS | [ I ] - (Optional) Primary DNS IPv6 address
  pSecondaryDNS | [ I ] - (Optional) Secondary DNS IPv6 address

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetDNSSettings | ( | ULONG * | pPrimaryDNS,
|  | ULONG * | pSecondaryDNS
| ) |  |

This function sets the DNS settings for the device QMI_WDS_SET_DNS_SETTINGS_MSG = 0x0053

Parameters

  pPrimaryDNS | [ I ] - (Optional) Primary DNS IPv4 address
  pSecondaryDNS | [ I ] - (Optional) Secondary DNS IPv4 address

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetDormancyStatusCallback | ( | tFNDormancyStatus | pCallback | ) |

This function enables/disables the dormancy status callback function QMI_WDS_SET_EVENT_REPORT_IND 0x0001 TLV 0x18

Parameters

  pCallback | [ I ] - Callback function (0 = disable)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetEnhancedAutoconnect | ( | ULONG | setting,
|  | ULONG * | pRoamSetting
| ) |  |

This function sets the autoconnect data session setting

Parameters

  setting | [ I ] - NDIS autoconnect setting
  pRoamSetting | [ I ] - (Optional) NDIS autoconnect roam setting

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetMobileIP | ( | ULONG | mode | ) |

This function sets the current mobile IP setting QMI_WDS_SET_MIP_MODE_MSG = 0x002E

Parameters

  mode | [ I ] - Desired mobile IP setting

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetMobileIPParameters | ( | CHAR * | pSPC,
|  | ULONG * | pMode,
|  | BYTE * | pRetryLimit,
|  | BYTE * | pRetryInterval,
|  | BYTE * | pReRegPeriod,
|  | BYTE * | pReRegTraffic,
|  | BYTE * | pHAAuthenticator,
|  | BYTE * | pHA2002bis
| ) |  |

This function sets the specified mobile IP parameters QMI_WDS_SET_MIP_SETTINGS_MSG = 0x0041

Parameters

  pSPC | [ I ] - Six digit service programming code
  pMode | [ I ] - (Optional) Desired mobile IP setting
  pRetryLimit | [ I ] - (Optional) Retry attempt limit
  pRetryInterval | [ I ] - (Optional) Retry attempt interval
  pReRegPeriod | [ I ] - (Optional) Re-registration period
  pReRegTraffic | [ I ] - (Optional) Re-registration only with traffic?
  pHAAuthenticator | [ I ] - (Optional) MH-HA authenticator calculator?
  pHA2002bis | [ I ] - (Optional) MH-HA RFC 2002bis authentication?

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetMobileIPProfile | ( | CHAR * | pSPC,
|  | BYTE | index,
|  | BYTE * | pEnabled,
|  | ULONG * | pAddress,
|  | ULONG * | pPrimaryHA,
|  | ULONG * | pSecondaryHA,
|  | BYTE * | pRevTunneling,
|  | CHAR * | pNAI,
|  | ULONG * | pHASPI,
|  | ULONG * | pAAASPI,
|  | CHAR * | pMNHA,
|  | CHAR * | pMNAAA
| ) |  |

This function sets the specified mobile IP profile settings QMI_WDS_MODIFY_MIP_PROFILE_MSG = 0x003F

Parameters

  pSPC | [ I ] - Six digit service programming code
  index | [ I ] - Mobile IP profile ID
  pEnabled | [ I ] - (Optional) Enable MIP profile?
  pAddress | [ I ] - (Optional) Home IPv4 address
  pPrimaryHA | [ I ] - (Optional) Primary home agent IPv4 address
  pSecondaryHA | [ I ] - (Optional) Secondary home agent IPv4 address
  pRevTunneling | [ I ] - (Optional) Enable reverse tunneling?
  pNAI | [ I ] - (Optional) Network access identifier string
  pHASPI | [ I ] - (Optional) HA security parameter index
  pAAASPI | [ I ] - (Optional) AAA security parameter index
  pMNHA | [ I ] - (Optional) MN-HA string
  pMNAAA | [ I ] - (Optional) MN-AAA string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetMobileIPStatusCallback | ( | tFNMobileIPStatus | pCallback | ) |

This function enables/disables the mobile IP status callback function placeholder function

Parameters

  pCallback | [ I ] - Callback function (0 = disable)

Returns
  See GobiErrorCodes.h

QCIMPORT2K ULONG QCWWANAPI2K SetPacketTotalsCallback | ( | tFNPacketTotals | pCallback,
|  | BYTE | interval
| ) |  |

This function enables/disables the RX/TX Packet counts callback function

Parameters

  pCallback | [ I ] - Callback function (0 = disable)
  interval | [ I ] - Interval in seconds (ignored when disabling)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetSessionStateCallback | ( | tFNSessionState | pCallback | ) |

This function enables/disables the session state callback function QMI_WDS_GET_PKT_SRVC_STATUS_IND 0x22

Parameters

  pCallback | [ I ] - Callback function (0 = disable) Current link status. Values: 1 – DISCONNECTED 2 – CONNECTED 3 – SUSPENDED 4 – AUTHENTICATING

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI StartDataSession | ( | ULONG * | pTechnology,
|  | ULONG * | pPrimaryDNS,
|  | ULONG * | pSecondaryDNS,
|  | ULONG * | pPrimaryNBNS,
|  | ULONG * | pSecondaryNBNS,
|  | CHAR * | pAPNName,
|  | ULONG * | pIPAddress,
|  | ULONG * | pAuthentication,
|  | CHAR * | pUsername,
|  | CHAR * | pPassword,
|  | ULONG * | pSessionId
| ) |  |

This functions activate a packet data session QMI_WDS_START_NETWORK_INTERFACE_MSG = 0x0020

Parameters

  pTechnology | [ I ] - (Optional) Technology bitmap
  pPrimaryDNS | [ I ] - (Optional) Primary DNS IPv4 address
  pSecondaryDNS | [ I ] - (Optional) Secondary DNS IPv4 address
  pPrimaryNBNS | [ I ] - (Optional) Primary NetBIOS NS IPv4 address
  pSecondaryNBNS | [ I ] - (Optional) Secondary NetBIOS NS IPv4 address
  pAPNName | [ I ] - (Optional) Access point name
  pIPAddress | [ I ] - (Optional) Preferred assigned IPv4 address
  pAuthentication | [ I ] - (Optional) Authentication algorithm bitmap
  pUsername | [ I ] - (Optional) Username used during authentication
  pPassword | [ I ] - (Optional) Password used during authentication
  pSessionId | [ O ] - The assigned session ID

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI StartDataSession2 | ( | ULONG * | pTechnology,
|  | ULONG * | pPrimaryDNS,
|  | ULONG * | pSecondaryDNS,
|  | ULONG * | pPrimaryNBNS,
|  | ULONG * | pSecondaryNBNS,
|  | CHAR * | pAPNName,
|  | ULONG * | pIPAddress,
|  | ULONG * | pAuthentication,
|  | CHAR * | pUsername,
|  | CHAR * | pPassword,
|  | ULONG * | pSessionId,
|  | ULONG * | pFailureReason
| ) |  |

This function activates a packet data session QMI_WDS_START_NETWORK_INTERFACE_MSG = 0x0020

Parameters

  pTechnology | [ I ] - (Optional) Technology bitmap
  pPrimaryDNS | [ I ] - (Optional) Primary DNS IPv4 address
  pSecondaryDNS | [ I ] - (Optional) Secondary DNS IPv4 address
  pPrimaryNBNS | [ I ] - (Optional) Primary NetBIOS NS IPv4 address
  pSecondaryNBNS | [ I ] - (Optional) Secondary NetBIOS NS IPv4 address
  pAPNName | [ I ] - (Optional) Access point name
  pIPAddress | [ I ] - (Optional) Preferred assigned IPv4 address
  pAuthentication | [ I ] - (Optional) Authentication algorithm bitmap
  pUsername | [ I ] - (Optional) Username used during authentication
  pPassword | [ I ] - (Optional) Password used during authentication
  pSessionId | [ O ] - The assigned session ID
  pFailureReason | [ O ] - Upon call failure the failure reason provided

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI StopDataSession | ( | ULONG | sessionId | ) |

This function stops the current data session QMI_WDS_STOP_NETWORK_INTERFACE_MSG = 0x0021

Parameters

  sessionId | [ I ] - The ID of the session to terminate

Returns
  See GobiErrorCodes.h